# libepoxy 1.5.10 — dispatch de OpenGL/EGL (GTK4/GSK). meson static, sin X11 (wayland/egl).
name    = "libepoxy"
version = "1.5.10"
license = "MIT"
[source]
tarball = "https://github.com/anholt/libepoxy/archive/refs/tags/1.5.10.tar.gz"
sha256  = "a7ced37f4102b745ac86d6a70a9da399cc139ff168ba6b8002b4d8d43c900c15"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
[build.phases]
configure = "PKG_CONFIG_PATH=/usr/lib/pkgconfig PYTHONPATH=/usr/lib/python3.12/site-packages meson setup output --prefix=/usr --buildtype=release --wrap-mode=nodownload --prefer-static -Ddefault_library=static -Dtests=false -Ddocs=false -Dglx=no -Dx11=false -Degl=yes"
compile   = "PYTHONPATH=/usr/lib/python3.12/site-packages ninja -C output"
install   = "PYTHONPATH=/usr/lib/python3.12/site-packages DESTDIR=/out meson install -C output --no-rebuild"
[deps]
build = ["meson", "samurai", "python3", "pkgconf", "mesa"]
